# Uses of Class
com.google.protobuf.DoubleValue

Packages that use DoubleValue
Package
Description
com.google.protobuf

## Uses of DoubleValue in com.google.protobuf

Methods in com.google.protobuf that return DoubleValue
Modifier and Type
Method
Description
`DoubleValue`
DoubleValue.Builder.`build()`
`DoubleValue`
DoubleValue.Builder.`buildPartial()`
`static DoubleValue`
DoubleValue.`getDefaultInstance()`
`DoubleValue`
DoubleValue.Builder.`getDefaultInstanceForType()`
`DoubleValue`
DoubleValue.`getDefaultInstanceForType()`
`static DoubleValue`
DoubleValue.`of(double value)`
`static DoubleValue`
DoubleValue.`parseDelimitedFrom(InputStream input)`
`static DoubleValue`
DoubleValue.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DoubleValue`
DoubleValue.`parseFrom(byte[] data)`
`static DoubleValue`
DoubleValue.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static DoubleValue`
DoubleValue.`parseFrom(ByteString data)`
`static DoubleValue`
DoubleValue.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static DoubleValue`
DoubleValue.`parseFrom(CodedInputStream input)`
`static DoubleValue`
DoubleValue.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static DoubleValue`
DoubleValue.`parseFrom(InputStream input)`
`static DoubleValue`
DoubleValue.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DoubleValue`
DoubleValue.`parseFrom(ByteBuffer data)`
`static DoubleValue`
DoubleValue.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type DoubleValue
Modifier and Type
Method
Description
`Parser<DoubleValue>`
DoubleValue.`getParserForType()`
`static Parser<DoubleValue>`
DoubleValue.`parser()`
Methods in com.google.protobuf with parameters of type DoubleValue
Modifier and Type
Method
Description
`DoubleValue.Builder`
DoubleValue.Builder.`mergeFrom(DoubleValue other)`
`static DoubleValue.Builder`
DoubleValue.`newBuilder(DoubleValue prototype)`